
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gcprot.h,v 1.3 1999/02/02 02:09:42 damware Exp $
//  ------------------------------------------------------------------
//  Prototypes for the configuration keyword functions.
//  ------------------------------------------------------------------


#ifndef __GCPROT_H
#define __GCPROT_H


//  ------------------------------------------------------------------

void CfgAddress          ();
void CfgAddressbookadd   ();
void CfgAddressmacro     ();
void CfgAdeptxbbspath    ();
void CfgAdeptxbbsuserno  ();
void CfgAkamatch         ();
void CfgAkamatchecho     ();
void CfgAkamatching      ();
void CfgAkamatchlocal    ();
void CfgAkamatchnet      ();
void CfgArea             ();
void CfgAreaautoid       ();
void CfgAreaautonext     ();
void CfgAreacopyaddid    ();
void CfgAreacopydirect   ();
void CfgAreacopyto       ();
void CfgAreadef          ();
void CfgAreadesc         ();
void CfgAreaexcl         ();
void CfgAreafilegroups   ();
void CfgAreafreqdirect   ();
void CfgAreafreqto       ();
void CfgAreaincl         ();
void CfgAreaisemail      ();
void CfgAreaisnews       ();
void CfgAreakeeplast     ();
void CfgArealistechomax  ();
void CfgArealistformat   ();
void CfgArealistgroupid  ();
void CfgArealistnos      ();
void CfgArealistpagebar  ();
void CfgArealistscan     ();
void CfgArealistsort     ();
void CfgArealisttype     ();
void CfgAreapath         ();
void CfgAreapmscan       ();
void CfgAreapmscanexcl   ();
void CfgAreapmscanincl   ();
void CfgAreareadonly     ();
void CfgArearename       ();
void CfgAreareplydirect  ();
void CfgAreareplyto      ();
void CfgAreascan         ();
void CfgAreascanexcl     ();
void CfgAreascanincl     ();
void CfgAreascansort     ();
void CfgAreasep          ();
void CfgAreastart        ();
void CfgAreatypeorder    ();
void CfgAreayouwroteto   ();
void CfgAskdelorig       ();
void CfgAttachpath       ();
void CfgAttribsattach    ();
void CfgAttribscc        ();
void CfgAttribscfm       ();
void CfgAttribsecho      ();
void CfgAttribsemail     ();
void CfgAttribsfrq       ();
void CfgAttribslocal     ();
void CfgAttribsnet       ();
void CfgAttribsnews      ();
void CfgAttributes       ();
void CfgBeepcomment      ();
void CfgBeepfactor       ();
void CfgBeeplocalmsg     ();
void CfgBeepnoises       ();
void CfgBeepyourmail     ();
void CfgCarboncopylist   ();
void CfgColor            ();
void CfgColorset         ();
void CfgColor            ();
void CfgConfirmfile      ();
void CfgConfirmresponse  ();
void CfgCookiefile       ();
void CfgCookiepath       ();
void CfgCrosspostlist    ();
void CfgCtrlinfo         ();
void CfgCtrlinfoecho     ();
void CfgCtrlinfoemail    ();
void CfgCtrlinfolocal    ();
void CfgCtrlinfonet      ();
void CfgCtrlinfonews     ();
void CfgDispareano       ();
void CfgDispattachsize   ();
void CfgDispautonext     ();
void CfgDisphdrdateset   ();
void CfgDisphdrnameset   ();
void CfgDisphdrnodeset   ();
void CfgDisplistcursor   ();
void CfgDisplistwrap     ();
void CfgDisplocalhigh    ();
void CfgDispmargin       ();
void CfgDispmsgsize      ();
void CfgDisppagebar      ();
void CfgDisprealmsgno    ();
void CfgDispsoftcr       ();
void CfgDispstatusline   ();
void CfgDisptabsize      ();
void CfgDosprompt        ();
void CfgDosswap          ();
void CfgEditautoattach   ();
void CfgEditautosave     ();
void CfgEditchangedate   ();
void CfgEditcharpara     ();
void CfgEditcharspace    ();
void CfgEditcomment      ();
void CfgEditcompletion   ();
void CfgEditcrlfterm     ();
void CfgEditfieldclear   ();
void CfgEdithardline     ();
void CfgEdithardlines    ();
void CfgEdithardterm     ();
void CfgEdithdrnameset   ();
void CfgEdithdrnodeset   ();
void CfgEditheaderattrs  ();
void CfgEditheaderfirst  ();
void CfgEditinternal     ();
void CfgEditmargin       ();
void CfgEditmenu         ();
void CfgEditmixcase      ();
void CfgEditmsgsize      ();
void CfgEditor           ();
void CfgEditorfile       ();
void CfgEditquotemargin  ();
void CfgEditreplyre      ();
void CfgEditsavemenu     ();
void CfgEditsaveutil     ();
void CfgEditsoftcrxlat   ();
void CfgEditspellcheck   ();
void CfgEditundelete     ();
void CfgEmptytearline    ();
void CfgEndgroup         ();
void CfgEvent            ();
void CfgExcludenodes     ();
void CfgExternoptions    ();
void CfgExternutil       ();
void CfgEzycommsgbase    ();
void CfgEzycomuserbase   ();
void CfgEzycomuserno     ();
void CfgFidohwmarks      ();
void CfgFidolastread     ();
void CfgFidomsgtype      ();
void CfgFidonullfix      ();
void CfgFidouserlist     ();
void CfgFidouserno       ();
void CfgFilealias        ();
void CfgFilecheck        ();
void CfgFilecheckcall    ();
void CfgFilelistpagebar  ();
void CfgFollowupto       ();
void CfgForcetemplate    ();
void CfgFrqext           ();
void CfgFrqnodemap       ();
void CfgFrqoptions       ();
void CfgFrqwazoo         ();
void CfgGif              ();
void CfgGifpath          ();
void CfgGoldbasepath     ();
void CfgGoldbasesyspath  ();
void CfgGoldbaseuserno   ();
void CfgGoldpath         ();
void CfgGroup            ();
void CfgHappybirthday    ();
void CfgHighlightunread  ();
void CfgHudsonpath       ();
void CfgHudsonsizewarn   ();
void CfgHudsonsyspath    ();
void CfgHudsonuserno     ();
void CfgImportbegin      ();
void CfgImportend        ();
void CfgInboundpath      ();
void CfgIncludenodes     ();
void CfgInputfile        ();
void CfgIntensecolors    ();
void CfgInternetaddress  ();
void CfgInternetdomain   ();
void CfgInternetgate     ();
void CfgInternetlookup   ();
void CfgInternetmsgid    ();
void CfgInternetreply    ();
void CfgInternetrfcbody  ();
void CfgInternetserver   ();
void CfgInvalidate       ();
void CfgJamharddelete    ();
void CfgJampath          ();
void CfgKeybclear        ();
void CfgKeybdefaults     ();
void CfgKeybext          ();
void CfgKeybmode         ();
void CfgKeybstack        ();
void CfgKludge           ();
void CfgKludgechrs       ();
void CfgLoadlanguage     ();
void CfgLogfile          ();
void CfgLogformat        ();
void CfgLookupecho       ();
void CfgLookuplocal      ();
void CfgLookupnet        ();
void CfgLookupuserbase   ();
void CfgMailinglist      ();
void CfgMailtoss         ();
void CfgMapdrive         ();
void CfgMappath          ();
void CfgMember           ();
void CfgMenudropmsg      ();
void CfgMenumarked       ();
void CfgMouse            ();
void CfgMsglistdate      ();
void CfgMsglistfast      ();
void CfgMsglistfirst     ();
void CfgMsglistheader    ();
void CfgMsglistpagebar   ();
void CfgMsglistviewsubj  ();
void CfgMsglistwidesubj  ();
void CfgNamesfile        ();
void CfgNetname          ();
void CfgNewsgroups       ();
void CfgNickname         ();
void CfgNodelist         ();
void CfgNodelistpagebar  ();
void CfgNodelistwarn     ();
void CfgNodepath         ();
void CfgNodepathfd       ();
void CfgNodepathfd       ();
void CfgNodepathv7       ();
void CfgNodev7flags      ();
void CfgNodev7modem      ();
void CfgOrganization     ();
void CfgOrigin           ();
void CfgOutboundpath     ();
void CfgOutputfile       ();
void CfgOverlay          ();
void CfgPathreportfile   ();
void CfgPcboardmailer    ();
void CfgPcboardpath      ();
void CfgPcboarduserno    ();
void CfgPersonalmail     ();
void CfgPlay             ();
void CfgPrintdevice      ();
void CfgPrintformfeed    ();
void CfgPrintinit        ();
void CfgPrintlength      ();
void CfgPrintmargin      ();
void CfgPrintreset       ();
void CfgQuoteblank       ();
void CfgQuotebuffile     ();
void CfgQuotebufmode     ();
void CfgQuotechars       ();
void CfgQuotemargin      ();
void CfgQuotespacing     ();
void CfgQuotestring      ();
void CfgQuotewraphard    ();
void CfgQwkbadmsgs       ();
void CfgQwkconfmap       ();
void CfgQwkexportpath    ();
void CfgQwkimportpath    ();
void CfgQwkoptions       ();
void CfgQwkreplylinker   ();
void CfgQwktosslog       ();
void CfgRa2usersbbs      ();
void CfgReplylink        ();
void CfgReplylinklist    ();
void CfgReplyto          ();
void CfgRobotname        ();
void CfgScreenblanker    ();
void CfgScreenelimsnow   ();
void CfgScreenmaxcol     ();
void CfgScreenmaxrow     ();
void CfgScreenpalette    ();
void CfgScreenshadows    ();
void CfgScreensize       ();
void CfgScreenusebios    ();
void CfgSearchfor        ();
void CfgSemaphore        ();
void CfgSerialno         ();
void CfgSharemode        ();
void CfgSounddevice      ();
void CfgSoundpath        ();
void CfgSoupbadmsgs      ();
void CfgSoupemail        ();
void CfgSoupexportmargin ();
void CfgSoupexportpath   ();
void CfgSoupimportpath   ();
void CfgSoupnewsrcfile   ();
void CfgSoupreplylinker  ();
void CfgSoupreplyto      ();
void CfgSouptosslog      ();
void CfgSquishdirect     ();
void CfgSquishrecycle    ();
void CfgSquishscan       ();
void CfgSquishuserno     ();
void CfgSquishuserpath   ();
void CfgStatuslineclock  ();
void CfgStatuslinehelp   ();
void CfgStylecodes       ();
void CfgStylecodepunct   ();
void CfgStylecodestops   ();
void CfgSwappath         ();
void CfgTagline          ();
void CfgTaglinechar      ();
void CfgTaglinefile      ();
void CfgTaglinesupport   ();
void CfgTearline         ();
void CfgTemplate         ();
void CfgTemplatematch    ();
void CfgTemplatepath     ();
void CfgTemppath         ();
void CfgTimeout          ();
void CfgTimeoutsavemsg   ();
void CfgTimezoneoffset   ();
void CfgTwitmode         ();
void CfgTwitname         ();
void CfgTwitsubj         ();
void CfgTwitto           ();
void CfgUseflags         ();
void CfgUsefwd           ();
void CfgUseintl          ();
void CfgUsemsgid         ();
void CfgUserlist         ();
void CfgUserlistfile     ();
void CfgUsername         ();
void CfgUudecodepath     ();
void CfgViewhidden       ();
void CfgViewkludge       ();
void CfgViewquote        ();
void CfgWhoto            ();
void CfgWildcatuserno    ();
void CfgXlatcharset      ();
void CfgXlatescset       ();
void CfgXlatexport       ();
void CfgXlatimport       ();
void CfgXlatlocalset     ();
void CfgXlatpath         ();
void CfgZonegating       ();

// Obsolete functions
void CfgEditorversion    ();
void CfgFreearea         ();
void CfgGoldhelp         ();
void CfgGoldkeys         ();
void CfgGoldlang         ();
void CfgGoldrand         ();
void CfgGoldxlat         ();
void CfgQbbsincrescan    ();
void CfgNettear          ();
void CfgOverlayems       ();
void CfgOverlayext       ();
void CfgQbbsrebuild      ();
void CfgQbbsscan         ();
void CfgScreenuseansi    ();
void CfgTimeslice        ();


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

