
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: golded.h,v 1.2 1998/12/27 16:08:11 odinn Exp $
//  ------------------------------------------------------------------
//  Main include file. (For precompiled headers)
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Only include once!

#ifndef __GOLDED_H
#define __GOLDED_H


//  ------------------------------------------------------------------
//  Compiler dependencies

#include <gcmpall.h>


//  ------------------------------------------------------------------
//  Standard library headers

#if defined(__EMX__)
//#include <sys\emx.h>
#endif

#if !defined(__GNUC__)
#include <new.h>
#include <conio.h>
#include <process.h>
#endif
#include <time.h>
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <limits.h>
#include <malloc.h>
#include <signal.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

#if defined(__MSDOS__)
#include <bios.h>
#endif

// Wrappers for certain mostly DOS/Borland headers
#include <gio.h>
#include <gdos.h>
#include <gshare.h>
#include <gdirect.h>


//  ------------------------------------------------------------------
//  Goldware Library headers

#include <gdefs.h>
#include <gcrcall.h>
#include <gdbgerr.h>
#include <gmemdbg.h>
#include <gdbgtrk.h>
#include <gfile.h>
#include <gfilutil.h>
#include <gftnall.h>
#include <gkbdbase.h>
#include <gkbdcode.h>
#include <glog.h>
#include <gmemall.h>
#include <gmoubase.h>
#include <gmsgattr.h>
#include <gprnall.h>
#include <gsearch.h>
#include <gstrall.h>
#include <gstrbags.h>
#include <gstrblks.h>
#include <gtimall.h>
#include <gtxtpara.h>
#include <gutlgrp.h>
#include <gutlmisc.h>
#include <gutlmtsk.h>
#include <gutltag.h>
#include <gvidall.h>
#include <gwildmat.h>
#include <gwinall.h>
#include <gwinhelp.h>
#include <gwinpick.h>

#include <gedacfg.h>


//  ------------------------------------------------------------------
//  Select DOS shell swapper

#if defined(__BORLANDC__) and defined(__MSDOS__)
//#define USE_SPAWNO
#define USE_EXECSWAP
#endif

#include <gswpall.h>


//  ------------------------------------------------------------------
//  GoldED specific headers

#include "geall.h"
#include "geqwks.h"
#include "geview.h"
#include "geglob.h"
#include "geprot.h"
#include "gemnus.h"


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

