
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gedutils.h,v 1.1.1.1 1998/11/21 19:38:08 odinn Exp $
//  ------------------------------------------------------------------
//  GoldED utility classes.
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------

#ifndef __GEDUTILS_H
#define __GEDUTILS_H


//  ------------------------------------------------------------------

#include <gvector.h>


//  ------------------------------------------------------------------

struct freq_node_map {

  ftn_addr from;
  ftn_addr to;
};

class filerequest_node_map : public gvector<freq_node_map> {

public:

  int add(const ftn_addr& f, const ftn_addr& t) {
    freq_node_map fnm;
    fnm.from = f;
    fnm.to = t;
    return gvector<freq_node_map>::add(fnm);
  }
  const ftn_addr& from() { return item().from; }
  const ftn_addr& to() { return item().to; }

};


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------
