
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gexlat.h,v 1.1.1.1 1998/11/21 19:38:05 odinn Exp $
//  ------------------------------------------------------------------


#ifndef __GEXLAT_H
#define __GEXLAT_H


#include <gedxlat.h>


//  ------------------------------------------------------------------

class golded_xlat : public gedxlat {

public:

  gedxlat_set set;

  gstring  path;
  gstring  import;
  gstring  export;

  int      load_charset(const char* import, const char* export);
  void     load_escsets();

  gstring& translate(gstring& str, bool qpencoded=false)                                     { return set.translate(str, qpencoded); }
  char*    translate(char* dest, const gstring& src, bool dispsoftcr, bool qpencoded=false)  { return set.translate(dest, src, dispsoftcr, qpencoded); }
  char*    translate(char* dest, const char* src, bool dispsoftcr, bool qpencoded=false)     { return set.translate(dest, src, dispsoftcr, qpencoded); }

};


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

