
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: bldlists.mak,v 1.1.1.1 1998/11/21 19:37:58 odinn Exp $
##  ------------------------------------------------------------------
##  Makefile to build include/response/linker/packlist files.
##  ------------------------------------------------------------------

LISTFILE=$(TARGET).all

##  ------------------------------------------------------------------

bldpack.lst : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldpack.lst $(TARGETROOT)$(TARGET) pack unix

##  ------------------------------------------------------------------

bldbcd.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbcd.inc $(GOBJ)\bcd\$(TARGET) inc borland bcd

bldbco.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbco.inc $(GOBJ)\bco\$(TARGET) inc borland bco

bldbcx.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbcx.inc $(GOBJ)\bcx\$(TARGET) inc borland bcx

##  ------------------------------------------------------------------

blddjg.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) blddjg.inc $(GOBJG)/djg/$(TARGET) inc gnu djg

bldemx.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldemx.inc $(GOBJG)/emx/$(TARGET) inc gnu emx

bldlnx.inc : $(LISTFILE)
	@gbuild $(LISTFILE) bldlnx.inc $(GOBJG)/lnx/$(TARGET) inc gnu lnx

bldrsx.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldrsx.inc $(GOBJG)/rsx/$(TARGET) inc gnu rsx

##  ------------------------------------------------------------------

bldwcn.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwcn.inc $(%GOBJ)\wcn\$(TARGET) inc watcom wcn

bldwco.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwco.inc $(%GOBJ)\wco\$(TARGET) inc watcom wco

bldwcx.inc : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwcx.inc $(%GOBJ)\wcx\$(TARGET) inc watcom wcx

##  ------------------------------------------------------------------

bldbcd.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbcd.rsp $(GOBJ)\bcd\$(TARGET) lib borland nov bcd

bldbcdo.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbcdo.rsp $(GOBJ)\bcd\$(TARGET) lib borland ovl bcd

bldbco.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbco.rsp $(GOBJ)\bco\$(TARGET) lib borland bco

bldbcx.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldbcx.rsp $(GOBJ)\bcx\$(TARGET) lib borland bcx

##  ------------------------------------------------------------------

bldwcn.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwcn.rsp $(%GOBJ)\wcn\$(TARGET) lib watcom wcn

bldwco.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwco.rsp $(%GOBJ)\wco\$(TARGET) lib watcom wco

bldwcx.rsp : $(LISTFILE)
	@gbuild.exe $(LISTFILE) bldwcx.rsp $(%GOBJ)\wcx\$(TARGET) lib watcom wcx

##  ------------------------------------------------------------------

