
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: conv_h2g.mak,v 1.2 1999/01/08 09:26:17 odinn Exp $
##  ------------------------------------------------------------------
##  Library makefile for Hudson to Goldbase conversion.
##  ------------------------------------------------------------------

all: $(SYMBOLIC) $(H2G)gold1.cpp $(H2G)gold2.cpp $(H2G)gold3.cpp $(H2G)gold4.cpp $(H2G)gold5.cpp

##  ------------------------------------------------------------------

$(H2G)gold1.cpp: $(H2G)huds1.cpp
	@awk -f ../conv_h2g.awk $?
	@mv tmp $@

$(H2G)gold2.cpp: $(H2G)huds2.cpp
	@awk -f ../conv_h2g.awk $?
	@mv tmp $@

$(H2G)gold3.cpp: $(H2G)huds3.cpp
	@awk -f ../conv_h2g.awk $?
	@mv tmp $@

$(H2G)gold4.cpp: $(H2G)huds4.cpp
	@awk -f ../conv_h2g.awk $?
	@mv tmp $@

$(H2G)gold5.cpp: $(H2G)huds5.cpp
	@awk -f ../conv_h2g.awk $?
	@mv tmp $@

##  ------------------------------------------------------------------

