
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gset.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------
//  Vector class.
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------

#ifndef __GSET_H
#define __GSET_H


//  ------------------------------------------------------------------

class gset {

protected:

public:

  gset();
  ~gset();

  void add_bits(const char* s);

  bool operator+=(const char* s);   // set
  bool operator-=(const char* s);   // reset
  bool operator^=(const char* s);   // toggle

};


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

