
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gstrgios.cpp,v 1.1.1.1 1998/11/21 19:38:07 odinn Exp $
//  ------------------------------------------------------------------
//  Simple string class.
//  ------------------------------------------------------------------


#include <iostream.h>
#include <gstrgstr.h>


//  ------------------------------------------------------------------

static ostream& char_out(ostream& os, char a) {

  return os << a;
}


//  ------------------------------------------------------------------

ostream& operator<<(ostream& o, const gstring& s) {

  if((o.flags() & ios::adjustfield) == ios::right)
    for(int x=0; x < o.width() - s.length(); x++)
      char_out(o, o.fill());

  for(int n=0; n < s.length() ; n++)
    char_out(o, s[n]);

  if((o.flags() & ios::adjustfield) == ios::left)
    for(int x=s.length(); x < o.width(); x++)
      char_out(o, o.fill());

  return o;
}


//  ------------------------------------------------------------------

