
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gswpall.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------


#if defined(USE_SPAWNO)
  #include "\spawno\spawno.h"
  #define USE_ALL     SWAP_ANY
  #define USE_XMS     SWAP_XMS
  #define USE_EMS     SWAP_EMS
  #define USE_FILE    SWAP_DISK
  #define XMS_FIRST   0
  #define EMS_FIRST   0
  #define HIDE_FILE   0
  #define CHECK_NET   0
  #define NO_PREALLOC 0
#elif defined(USE_EXECSWAP)
  #include <gswpexec.h>
#else
  #define USE_ALL     0
  #define USE_XMS     0
  #define USE_EMS     0
  #define USE_FILE    0
  #define XMS_FIRST   0
  #define EMS_FIRST   0
  #define HIDE_FILE   0
  #define CHECK_NET   0
  #define NO_PREALLOC 0
#endif
