
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gutlnls.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------
//  National Language Specific (NLS) helper functions
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Only include once!

#ifndef __GUTLNLS_H
#define __GUTLNLS_H


//  ------------------------------------------------------------------
//  Required headers

#include <gdefs.h>


//  ------------------------------------------------------------------
//  NLS init




//  ------------------------------------------------------------------
//  NLS versions of some standard functions

int _nls_islower(char _ch);    // Is char lowercase?
int _nls_isupper(char _ch);    // Is char uppercase?

char _nls_tolower(char _ch);    // Make char lowercase
char _nls_toupper(char _ch);    // Make char uppercase
char _nls_touplow(char _ch);    // Make char "reverse" case

char* _nls_struplow(char* _str);  // Capitalize words


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

