
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gutlvers.cpp,v 1.1.1.1 1998/11/21 19:38:07 odinn Exp $
//  ------------------------------------------------------------------
//  Get operating system version.
//  ------------------------------------------------------------------


#include <gdos.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gmemall.h>
#include <gutlmtsk.h>

#ifdef __OS2__
#define INCL_BASE
#include <os2.h>
#endif


//  ------------------------------------------------------------------
//  Fix stupid omission in most OS/2 compilers :-(

#if defined(__OS2__) and (defined(__BORLANDC__) or defined(__WATCOMC__))
  #if !defined(DosGetVersion)
    #define DosGetVersion Dos16GetVersion
    #if defined(__BORLANDC__)
    extern "C" APIRET16 APIENTRY16 DosGetVersion(PUSHORT16 pVer);
    #elif defined(__WATCOMC__)
    typedef USHORT * _Seg16 PUSHORT16;
    extern "C" APIRET16 APIENTRY16 DosGetVersion(PUSHORT16 pVer);
    #endif
  #endif
#endif


//  ------------------------------------------------------------------

void ggetosversion() {

  #if defined(__OS2__) and not defined(__EMX__)
    USHORT osver;
    DosGetVersion(&osver);
    _osmajor = (byte)(HIBYTE(osver) / 10);
    _osminor = LOBYTE(osver);
  #endif
}


//  ------------------------------------------------------------------

