
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gwinfsel.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------


class gffblk {

public:

  gffblk& operator=(const gffblk& other) { name=other.name; size=other.size; mtime=other.mtime; selected=other.selected; return *this; }

  gstring name;
  long    size;
  time_t  mtime;
  bool    selected;
};


//  ------------------------------------------------------------------

class gfilespec {

public:

  gfilespec& operator=(const gfilespec& o) { path=o.path; password=o.password; files=o.files; delsent=o.delsent; fblk=o.fblk; }

  gstring         path;      // Path to file(s)
  gstring         password;  // File Password
  int             files;     // Number of files
  bool            delsent;   // Kill files after sent
  gvector<gffblk> fblk;      // Filenames
};


//  ------------------------------------------------------------------

