
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: mkexegnu.mak,v 1.4 1999/01/08 17:56:01 damware Exp $
##  ------------------------------------------------------------------
##  Makefile to build exe files for GNU.
##  ------------------------------------------------------------------

include $(DEPTH)/rulesgnu.mak

##  ------------------------------------------------------------------

include bld$(PLATFORM).inc

##  ------------------------------------------------------------------

$(TARGETEXE)$(TARGETEXT): INIT $(DOBJS)
	@echo Linking ...
	@$(GGXX) $(DEBUG) -L$(OBJPATH) -o $(TARGETEXE)$(TARGETEXT) $(DIROBJS) $(LIBS)
ifdef PLATFORM_EMX
	@emxbind -s gedemx
endif
	@echo Done!

##  ------------------------------------------------------------------

$(DOBJS) : %.o: %.cpp
	@echo Compiling $< ...
	@$(GGXX) -c $(CFLAGS) $< -o $(OBJPATH)/$(@F)

##  ------------------------------------------------------------------

INIT:
	@echo Preparing compilation ...
	@echo Making $(TARGETEXE)$(TARGETEXT)
	@touch $(TARGET).cpp
	@echo Checking dependencies ...

##  ------------------------------------------------------------------

