
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: mklibbcc.mak,v 1.2 1998/12/27 16:08:11 odinn Exp $
##  ------------------------------------------------------------------
##  Library makefile for Borland MAKE.
##  ------------------------------------------------------------------

!include $(DEPTH)/rulesbcc.mak

##  ------------------------------------------------------------------

!include bld$(PLATFORM).inc

##  ------------------------------------------------------------------

$(TARGET).LIB: INIT $(objs)
  @echo ------------------------------------------------------------------------------- >>bldbcc.lst
  @echo Building library ...
  @if exist $(LIBPATH)\$(TARGET).* rm $(LIBPATH)\$(TARGET).*
  @$(BCC_BASE)\bin\tlib.exe /C /P256 $(LIBPATH)\$(TARGET).lib @bld$(PLATFORM).rsp, $(LIBPATH)\$(TARGET).lst >>bldbcc.lst
!ifdef PLATFORM_BCD
  @if exist $(LIBPATH)\$(TARGET)o.* rm $(LIBPATH)\$(TARGET)o.*
  @$(BCC_BASE)\bin\tlib.exe /C /P256 $(LIBPATH)\$(TARGET)o.lib @bld$(PLATFORM)o.rsp, $(LIBPATH)\$(TARGET)o.lst >>bldbcc.lst
!endif
  @echo ------------------------------------------------------------------------------- >>bldbcc.lst
  @del /q bldbcc.cfg

##  ------------------------------------------------------------------

INIT:
  @echo Preparing compilation ...
  @echo -------------------------------------------------------------------------------- >bldbcc.lst
  @echo Making library $(TARGET)                                                        >>bldbcc.lst
  @echo $(BCC_CFLAGS) > bldbcc.cfg
  @echo $(BCC_INC)   >> bldbcc.cfg
!ifdef BCC_INC2
  @echo $(BCC_INC2)  >> bldbcc.cfg
!endif
  @echo $(BCC_LIB)   >> bldbcc.cfg
  @echo $(CFLAGS)    >> bldbcc.cfg
  @echo Checking dependencies ...

##  ------------------------------------------------------------------

