
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: mklibgnu.mak,v 1.3 1998/12/28 21:37:47 damware Exp $
##  ------------------------------------------------------------------
##  Library makefile for GNU MAKE.
##  ------------------------------------------------------------------


##  ------------------------------------------------------------------

include $(DEPTH)/rulesgnu.mak

##  ------------------------------------------------------------------

include bld$(PLATFORM).inc

##  ------------------------------------------------------------------

$(LIBPATH)/$(TARGET).a : $(DOBJS)
	@echo Creating library ...
	@ar crus $(LIBPATH)/lib$(TARGET).a $(DIROBJS)

##  ------------------------------------------------------------------

$(DOBJS) : %.o: %.cpp
	@echo Compiling $< ...
	@$(GGXX) -s -c $(CFLAGS) $< -o $(OBJPATH)/$(@F)

##  ------------------------------------------------------------------

