
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: mklibwcc.mak,v 1.2 1998/12/27 16:08:11 odinn Exp $
##  ------------------------------------------------------------------
##  Library makefile for Watcom MAKE.
##  ------------------------------------------------------------------

!include $(DEPTH)\ruleswcc.mak

##  ------------------------------------------------------------------

!include bld$(PLATFORM).inc

##  ------------------------------------------------------------------

$(LIBPATH)\$(TARGET).LIB: INIT $(objs)
  @echo ------------------------------------------------------------------------------- >>bldwcc.lst
  @echo Building library ...
  @wlib.exe -p=128 -b -c -l=$(LIBPATH)\$(TARGET).lst -n $(LIBPATH)\$(TARGET).lib @bld$(PLATFORM).rsp >>bldwcc.lst
  @echo ------------------------------------------------------------------------------- >>bldwcc.lst

##  ------------------------------------------------------------------

INIT: .symbolic
  @echo Preparing compilation ...
  @echo -------------------------------------------------------------------------------  >bldwcc.lst
  @echo Making library $(TARGET)                                                        >>bldwcc.lst
  @set WCCFLAGS=$(cflags) $(cflags2) -fo=$(OBJPATH)\.obj
  @echo Checking dependencies ...

##  ------------------------------------------------------------------

