
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gccfgg9.cpp,v 1.1.1.1 1998/11/21 19:38:03 odinn Exp $
//  ------------------------------------------------------------------
//  Configuration functions, part 9 - obsolete keywords.
//  ------------------------------------------------------------------


#include "gecfgg.h"


//  ------------------------------------------------------------------

void golded_cfg::handle_cookiefile() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_editorversion() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_freearea() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_goldhelp() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_goldkeys() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_goldlang() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_goldrand() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_goldxlat() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_happybirthday() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_nettear() {

  ctrlinfonet &= ~CI_TEAR;
  ctrlinfonet |= get_bool(val) ? CI_TEAR : CI_NONE;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_overlay() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_qbbsincrescan() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_qbbsrebuild() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_qbbsscan() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_screenuseansi() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_sharemode() {

  if(atoi(val))
    sharemode = atoi(val);
  else
    sharemode = get_bool(val) ? SH_DENYNO : SH_COMPAT;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_sounddevice() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_timeslice() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_useflags() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_useintl() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

void golded_cfg::handle_usemsgid() {

  error = error_obsolete_has_no_effect;
}

//  ------------------------------------------------------------------

