
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gemlst.h,v 1.1.1.1 1998/11/21 19:38:04 odinn Exp $
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Values for MSGLISTDATE

const int MSGLISTDATE_NONE     = 0;
const int MSGLISTDATE_WRITTEN  = 1;
const int MSGLISTDATE_ARRIVED  = 2;
const int MSGLISTDATE_RECEIVED = 3;


//  ------------------------------------------------------------------
//  The Message Browser

class MLst {

public:

  ulong  msgno;
  byte   high;
  char   num[8];
  char   marks[3];
  char   by[sizeof(ftn_name)+20];
  char   to[sizeof(ftn_name)+20];
  char   re[128];
  time_t written;
  time_t arrived;
  time_t received;
  char   goldmark;
};


//  ------------------------------------------------------------------

