
//  ------------------------------------------------------------------
//  GoldED. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: golded.h,v 1.1.1.1 1998/11/21 19:38:05 odinn Exp $
//  ------------------------------------------------------------------
//  Main include file. (For precompiled headers)
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Only include once!

#ifndef __GOLDED_H
#define __GOLDED_H


//  ------------------------------------------------------------------
//  Compiler dependencies

#include <gcmpall.h>


//  ------------------------------------------------------------------
//  Standard library headers

#if defined(__EMX__)
#include <sys\emx.h>
#endif

#include <io.h>
#include <dir.h>
#include <dos.h>
#include <new.h>
#include <time.h>
#include <conio.h>
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <share.h>
#include <stdio.h>
#include <direct.h>
#include <limits.h>
#include <malloc.h>
#include <signal.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <process.h>
#include <sys\types.h>
#include <sys\stat.h>

#if defined(__MSDOS__)
#include <bios.h>
#endif


//  ------------------------------------------------------------------
//  Goldware Library headers

#include <gdefs.h>

#include <gcrcall.h>
#include <gdbgerr.h>
#include <gmemdbg.h>
#include <gdbgtrk.h>
#include <gfile.h>
#include <gfilutil.h>
#include <gftnadrs.h>
#include <gkbdbase.h>
#include <gkbdcode.h>
#include <glog.h>
#include <gmemall.h>
#include <gmoubase.h>
#include <gprnall.h>
#include <gstrall.h>
#include <gstrbags.h>
#include <gstrblks.h>
#include <gtag.h>
#include <gtimall.h>
#include <gtxtpara.h>
#include <gtxtsrch.h>
#include <gutlgrp.h>
#include <gutlmisc.h>
#include <gutlmtsk.h>
#include <gvector.h>
#include <gvectorp.h>
#include <gvidall.h>
#include <gwinall.h>
#include <gwinpick.h>
#include <gwinput.h>

#include <gedacfg.h>
#include <gedxlat.h>


//  ------------------------------------------------------------------
//  Select DOS shell swapper

#if defined(__BORLANDC__) and defined(__MSDOS__)
//#define USE_SPAWNO
#define USE_EXECSWAP
#endif

#include <gswpall.h>


//  ------------------------------------------------------------------
//  GoldED specific headers

#include "geall.h"
#include "geqwks.h"
#include "geview.h"
#include "geglob.h"
#include "geprot.h"
#include "gemnus.h"


//  ------------------------------------------------------------------

#define GOLDED_AREAFILE

#define GOLDED_FIREBIRD


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

