
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gcrcm16.cpp,v 1.1.1.1 1998/11/21 19:38:06 odinn Exp $
//  ------------------------------------------------------------------
//  CRC-16, CRC-32 and Hashing
//  ------------------------------------------------------------------


#include <ctype.h>
#include <gcrcall.h>


//  ------------------------------------------------------------------

word memCrc16(const void* m, long l, int __case, word mask) {

  register long n;
  register word crc = mask;
  register byte __HUGE *p = (byte __HUGE *)(m);

  if(__case) {
    for(n=0; n<l; n++)
      crc = updCrc16((byte)toupper(*p++), crc);
  }
  else {
    for(n=0; n<l; n++)
      crc = updCrc16(*p++, crc);
  }

  return crc;
}


//  ------------------------------------------------------------------

