
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: ghdrmime.cpp,v 1.1.1.1 1998/11/21 19:38:06 odinn Exp $
//  ------------------------------------------------------------------
//  MIME header processing.
//  ------------------------------------------------------------------


#include <gstrall.h>
#include <gstrmail.h>
#include <ghdrmime.h>


//  ------------------------------------------------------------------

const char* mime_crack_encoded_word(const char* encoded_word, char* charset, char* encoding, char* text) {

  *charset = *encoding = *text = NUL;  
  const char* ptr = encoded_word;
  if((ptr[0] == '=') and (ptr[1] == '?')) {
    ptr += 2;
    const char* begin = ptr;
    while(*ptr and not is_mime_especial(*ptr))
      ptr++;
    if((ptr-begin) and (*ptr == '?')) {
      ptr++;
      if(charset)
        strxcpy(charset, begin, (uint)(ptr-begin));
      begin = ptr;
      while(*ptr and not is_mime_especial(*ptr))
        ptr++;
      if((ptr-begin) and (*ptr == '?')) {
        ptr++;
        if(encoding)
          strxcpy(encoding, begin, (uint)(ptr-begin));
        begin = ptr;
        while((*ptr != '?') and *ptr)
          ptr++;
        if((ptr-begin) and (ptr[0] == '?') and (ptr[1] == '=')) {
          if((ptr-encoded_word) <= (75-2)) {
            strxcpy(text, begin, 1+(int)(ptr-begin));
            return ptr + 2;
          }
        }
      }
    }
  }
  return NULL;
}


//  ------------------------------------------------------------------

#if 0
char* mime_translate_string(char* output, const char* input, const char* to_charset) {

  char charset[40];
  char encoding[10];

  char* o = output;
  const char* i = input;
  while(*i) {
    if(*i == '=') {
      int len = mime_crack_encoded_word(i, charset, encoding, o);
      if(len) {

      }
    }
  }

  return output;
}
#endif

//  ------------------------------------------------------------------

