
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gkbdset1.cpp,v 1.1.1.1 1998/11/21 19:38:06 odinn Exp $
//  ------------------------------------------------------------------
//  Key command and macro sets.
//  ------------------------------------------------------------------

#if 0

#include <gkbdsets.h>


//  ------------------------------------------------------------------

int compare_gkeycommand(const gkeycommand* a, const gkeycommand* b) {

  return compare_two(a->keycode, b->keycode);
}


//  ------------------------------------------------------------------

int compare_gkeymacro(const gkeymacro* a, const gkeymacro* b) {

  return compare_two(a->keycode, b->keycode);
}


//  ------------------------------------------------------------------

gkeycommand* gkeyset::bsearch_command(gkey find) {

  gkeycommand key(find, 0);
  gkeycommand* found = command.bsearch(key, compare_gkeycommand);
  if(not found) {
    key.strip_scancode();
    found = command.bsearch(key, compare_gkeycommand);
  }
  return found;
}


//  ------------------------------------------------------------------

gkeymacro* gkeyset::bsearch_macro(gkey find) {

  gkeymacro key(find);
  gkeymacro* found = macro.bsearch(key, compare_gkeymacro);
  if(not found) {
    key.strip_scancode();
    found = macro.bsearch(key, compare_gkeymacro);
  }
  return found;
}


//  ------------------------------------------------------------------

#endif

