
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gusrxbbs.cpp,v 1.1.1.1 1998/11/21 19:38:07 odinn Exp $
//  ------------------------------------------------------------------
//  AdeptXBBS userfile class implementation.
//  ------------------------------------------------------------------


#include <gio.h>
#include <gmemdbg.h>
#include <gstrall.h>
#include <gusrxbbs.h>


//  ------------------------------------------------------------------

XbbsUser::XbbsUser() {
  
  recsize = sizeof(XbbsUsers);
  record = new XbbsUsers;  throw_new(record);
  recptr = (char*)record;
  name = record->name;
}


//  ------------------------------------------------------------------

XbbsUser::~XbbsUser() {
  
  delete record;
}


//  ------------------------------------------------------------------

int XbbsUser::isvalid() {

  return not (record->attribs & U_DELETED);
}


//  ------------------------------------------------------------------

int XbbsUser::read() {

  if(fh != -1) {
    ::read(fh, record, sizeof(XbbsUsers));
    return isvalid();
  }

  return false;
}


//  ------------------------------------------------------------------

void XbbsUser::recinit(const char* __name) {

  GUser::recinit(__name);
}


//  ------------------------------------------------------------------

void XbbsUser::add(const char*) {

}


//  ------------------------------------------------------------------

