
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gutltgfx.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------
//  Handling of textmode graphics (charset redefinition).
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Only include once!

#ifndef __GOLDTGFX_H
#define __GOLDTGFX_H


//  ------------------------------------------------------------------
//  Required includes

#include <gdefs.h>


//  ------------------------------------------------------------------
//  Base class

class tgfxClass {

private:

  static int ismono;
  static int linesperchar;

protected:

  void SetSeq();
  void ResetSeq();

public:

  tgfxClass(int __ismono);
  ~tgfxClass();

  int CharLines() { return linesperchar; }

  void PutCharDef(int charno, byte* charbuf, int count=linesperchar);
  void GetCharDef(int charno, byte* charbuf, int count=linesperchar);
};


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------

