
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gwinbase.h,v 1.1.1.1 1998/11/21 19:38:09 odinn Exp $
//  ------------------------------------------------------------------
//  Text window class.
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------
//  Only include once!

#ifndef __GWINBASE_H
#define __GWINBASE_H


//  ------------------------------------------------------------------
//  Required headers

#include <gwinall.h>


//  ------------------------------------------------------------------
//  Rectangle

struct GRect {

  int  startrow;
  int  startcolumn;
  int  endrow;
  int  endcolumn;
};


//  ------------------------------------------------------------------
//  Text windowing base class

class GTWindow : public GWin {

protected:

  WINDOW  h;
  GRectT  coords;

public:

  int    Open    (int __startrow, int __startcolumn, int __height, int __width, int __bordertype, AtrT __borderattr, AtrT __windowattr);
  int    Close   ();

  virtual int    Redraw  ();

};


  handle = wopen(
             coords.startrow,
             coords.startcolumn,
             coords.endrow,
             coords.endcolumn,
             bordertype,
             borderattr,
             windowattr
           );


//  ------------------------------------------------------------------

#endif

//  ------------------------------------------------------------------
