
//  ------------------------------------------------------------------
//  The Goldware Library. Copyright (C) Odinn Sorensen.
//  ------------------------------------------------------------------
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//  ------------------------------------------------------------------
//  $Id: gmoarea.cpp,v 1.1.1.1 1998/11/21 19:38:12 odinn Exp $
//  ------------------------------------------------------------------
//  Area structures and classes.
//  ------------------------------------------------------------------


//  ------------------------------------------------------------------

#include <gmoarea.h>


//  ------------------------------------------------------------------

GLog*        WideLog = NULL;
int          WideDebug = false;
int          WideCanLock = true;
const char** WideUsername = NULL;
int          WideUsernames = 0;
uint         WideSharemode = SH_DENYNO;
int          WideDispsoftcr = false;
int          WidePersonalmail = 0;

#if defined(GOLD_16BIT)
long         WideMsgSize = 64000L;
#else
long         WideMsgSize = 512000L;
#endif


//  ------------------------------------------------------------------

gmo_area::gmo_area() {

  Msgn = NULL;
  PMrk = NULL;
  lastread = 0;
  lastreadentry = 0;
  isopen = false;
}


//  ------------------------------------------------------------------

gmo_area::~gmo_area() {

}


//  ------------------------------------------------------------------

