
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: rulesbcc.mak,v 1.2 1998/12/27 16:08:11 odinn Exp $
##  ------------------------------------------------------------------
##  Makefile rules for Borland MAKE.
##  ------------------------------------------------------------------


!ifdef PLATFORM_BCD
PLATFORM=bcd
BCC_CFLAGS=$(BCD_CFLAGS)
BCC_BASE=$(BCD_BASE)
BCC_INC=$(BCD_INC)
BCC_LIB=$(BCD_LIB)
CC=$(BCC_BASE)\bin\bcc +bldbcc.cfg -v-
!endif

##  ------------------------------------------------------------------

!ifdef PLATFORM_BCO
PLATFORM=bco
BCC_CFLAGS=$(BCO_CFLAGS)
BCC_BASE=$(BCO_BASE)
BCC_INC=$(BCO_INC)
BCC_LIB=$(BCO_LIB)
CC=$(BCC_BASE)\bin\bcc +bldbcc.cfg
!endif

##  ------------------------------------------------------------------

!ifdef PLATFORM_BCX
PLATFORM=bcx
BCC_CFLAGS=$(BCX_CFLAGS)
BCC_BASE=$(BCX_BASE)
BCC_INC=$(BCX_INC)
BCC_LIB=$(BCX_LIB)
CC=$(BCC_BASE)\bin\bcc32 +bldbcc.cfg
!endif

##  ------------------------------------------------------------------

SRCPATH=$(GSRC)$(SUBPATH)\$(TARGET)
LIBPATH=$(GLIB)\$(PLATFORM)
OBJPATH=$(GOBJ)\$(PLATFORM)\$(TARGET)
CFLAGS=-c -n$(OBJPATH)

##  ------------------------------------------------------------------

.SWAP
.AUTODEPEND
.PATH.OBJ = $(OBJPATH)

##  ------------------------------------------------------------------

!ifdef PLATFORM_BCD
.PATH.ASM = $(SRCPATH)
.ASM.OBJ:
  @echo Assembling $. ...
  @$(CC) $? >> bldbcc.lst
!endif

##  ------------------------------------------------------------------

.PATH.CPP = $(SRCPATH)
.CPP.OBJ:
  @echo Compiling $. ...
  @$(CC) $? >> bldbcc.lst

##  ------------------------------------------------------------------

