
##  ------------------------------------------------------------------
##  The Goldware Library. Copyright (C) Odinn Sorensen.
##  ------------------------------------------------------------------
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License as
##  published by the Free Software Foundation; either version 2 of the
##  License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##  ------------------------------------------------------------------
##  $Id: ruleswcc.mak,v 1.1.1.1 1998/11/21 19:37:58 odinn Exp $
##  ------------------------------------------------------------------
##  Makefile rules for Watcome WMAKE.
##  ------------------------------------------------------------------

!ifdef PLATFORM_WCN
PLATFORM=wcn
!endif

!ifdef PLATFORM_WCO
PLATFORM=wco
!endif

!ifdef PLATFORM_WCX
PLATFORM=wcx
!endif

##  ------------------------------------------------------------------

SRCPATH=$(%GSRC)\$(TARGET)
LIBPATH=$(%GLIB)\$(PLATFORM)
OBJPATH=$(%GOBJ)\$(PLATFORM)\$(TARGET)
CC=wpp386.exe @$(PLATFORM)_cflags @WCCFLAGS

##  ------------------------------------------------------------------

.obj : $(OBJPATH)\

##  ------------------------------------------------------------------

.cpp : $(SRCPATH)\
.cpp.obj: .autodepend
  @echo ------------------------------------------------------------------------------- >>bldwcc.lst
  @echo Compiling $< ...
  @$(CC) $< >>bldwcc.lst

##  ------------------------------------------------------------------

